#include <v_lib.h>

int main()
{
	vhandle_t s;
	vector_t *vx,*vy;
	mvec_t *ax,*ay,x,y;
	logStartConsoleLog();
	logUpperLevel(LOG_TRACE);
	
	vx=vecAlloc(5); ax=vx->elements;
	vy=vecAlloc(5); ay=vy->elements;

	ax[0]=-2; ax[1]=-1; ax[2]=0; ax[3]=1; ax[4]=2;
	ay[0]=-2; ay[1]=-1; ay[2]=0; ay[3]=1; ay[4]=2;
	s=cspCreate(vx,vy);
	if(!s)
		return -1;
	x=1;
	y=cspInterpolate(s,x);
	printf("x=%f, y=%f\n",x,y);

	ax[1]=-2;
	cspChangeX(s,vx);
	
	cspDestroy(s);
	memFree(vx);
	memFree(vy);
	
	return 0;
}

	